summaryrefslogtreecommitdiff
path: root/rushs/tinyprintf/cut_csv/with_cut.sh
diff options
context:
space:
mode:
authorMartial Simon <msimon_fr@hotmail.com>2025-09-15 01:08:27 +0200
committerMartial Simon <msimon_fr@hotmail.com>2025-09-15 01:08:27 +0200
commitc9b6b9a5ca082fe7c1b6f58d7713f785a9eb6a5c (patch)
tree3e4f42f93c7ae89a364e4d51fff6e5cec4e55fa9 /rushs/tinyprintf/cut_csv/with_cut.sh
add: graphs et rushs
Diffstat (limited to 'rushs/tinyprintf/cut_csv/with_cut.sh')
-rwxr-xr-xrushs/tinyprintf/cut_csv/with_cut.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/rushs/tinyprintf/cut_csv/with_cut.sh b/rushs/tinyprintf/cut_csv/with_cut.sh
new file mode 100755
index 0000000..9618f00
--- /dev/null
+++ b/rushs/tinyprintf/cut_csv/with_cut.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+[ $# -ne 2 ] && exit 1
+
+if ! [ -f "$1" ]; then
+ exit 1
+fi
+
+if ! [ "$2" -eq "$2" ] 2> /dev/null; then
+ exit 1
+fi
+
+[ "$2" -lt 0 ] && exit 1
+
+if [ "$2" -gt "$(wc -l < "$1")" ]; then
+ exit 1
+fi
+
+line=$(head --lines="$2" "$1" 2> /dev/null | tail -n 1 | cut -d ';' -f 2-3 || exit 1)
+c1=$(echo "$line" | cut -d ';' -f 1)
+c2=$(echo "$line" | cut -d ';' -f 2)
+
+echo "$c1 is $c2"